Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement
Class PmManagedEntityValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.ManagedEntityValueImpl
              com.sun.management.oss.impl.pm.measurement.PmManagedEntityValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, java.io.Serializable, SerializerFactory

Direct Known Subclasses:
  PerformanceMonitorValueImpl

public class PmManagedEntityValueImpl
extends ManagedEntityValueImpl

Title: Description: Copyright: Copyright (c) 2002 Company:

Version:
  1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Constructor Summary
`PmManagedEntityValueImpl()`

Method Summary
`java.lang.Object` | `clone()` Return a deep copy of this value.
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.

Methods inherited from class com.sun.management.oss.impl.ManagedEntityValueImpl
`getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber, setManagedEntityKey`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Constructor Detail

### PmManagedEntityValueImpl

    public PmManagedEntityValueImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ManagedEntityValue`
  Return a deep copy of this value.

  Specified by:
    `clone` in interface `ManagedEntityValue`
  Overrides:
    `clone` in class `AttributeAccessImpl`

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Description copied from interface: `SerializerFactory`
  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Specified by:
    `getSupportedSerializerTypes` in interface `SerializerFactory`
  Overrides:
    `getSupportedSerializerTypes` in class `AttributeAccessImpl`

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `SerializerFactory`
  Manufacture a Serializer for the object type inheriting the interface.

  Specified by:
    `makeSerializer` in interface `SerializerFactory`
  Overrides:
    `makeSerializer` in class `AttributeAccessImpl`
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD